Bug 1007774 - Changing the task type in the wrench does not update the task type in the properties view
Changing the task type in the wrench does not update the task type in the pro...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-13 05:47 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (27.88 KB, image/png)
2013-09-13 05:47 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-09-13 05:47:31 EDT
Created attachment 797252 [details]
screenshot

Description of problem:
When using the MorphTo feature - the wrench icon under a node - for a task, you have to click away from the task before you see the changes in the properties panel.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER2


Steps to Reproduce:
1. Add a task to a process.
2. Open the properties bar on the right.
3. Click the task, move cursor over the wrench icon and select another task type.


Actual results:
The properties bar shows fields for the previous task type.


Expected results:
The properties bar shows updated fields - for the current task type.


Additional info:
Comment 1 Tihomir Surdilovic 2013-09-16 09:19:02 EDT
fixed, the properties update when a task is morphed
Comment 5 Jan Hrcek 2013-10-16 01:59:50 EDT
Verified with BPMS 6.0.0 ER4
Comment 6 Jan Hrcek 2014-03-20 09:06:25 EDT
Sono, could you please check and decide if test for this is needed?

Note You need to log in before you can comment on or make changes to this bug.